Package ru.bitel.bgbilling.modules.mps.server.bean

# Class Conf.MPSSystem

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.Conf.MPSSystem

Enclosing class:
  `Conf`

public class Conf.MPSSystem extends Object
конкретный настроенный пртокол под каким-то конкретным mpsId

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `accountServiceId`
  `final boolean[]`
  `allowClosedPayment`
  `final long[]`
  `allowContractGroups`
  `final Pattern[]`
  `allowContractPattern`
  `final boolean`
  `certificateNeed`
  `final int`
  `cid`
  `final String`
  `comment`
  `final ParameterMap`
  `config`
  конфиг отдельной системы, может использоваться протоколами для доп.параметров
  `final boolean`
  `extAddBalanceInfo`
  `final boolean`
  `extDenyForJur`
  Флаг запрета проведения платежей для юридических лиц.
  `final boolean`
  `extDontCheckSum`
  `final boolean`
  `extDontCheckTransId`
  `final boolean`
  `extEportPayTime`
  `final boolean`
  `extNeedClientInfo`
  `final boolean`
  `extNoBaseAuth`
  `final boolean`
  `extOSMPFields`
  `final boolean`
  `extOSMPSubBalance`
  `final boolean`
  `extPaymentSystemTime`
  `final boolean`
  `extPayOnCheck`
  `final boolean`
  `extSfourComment`
  `final String`
  `login`
  `final BigDecimal`
  `maxSumm`
  `final BigDecimal`
  `minSumm`
  `final boolean`
  `mode`
  `final boolean`
  `multiSearch`
  `final Pattern`
  `numberPattern`
  `final String`
  `osmpContractPattern`
  `final boolean`
  `osmpPrefix`
  `final String`
  `password`
  `int`
  `paymentType`
  `final int`
  `payTime`
  `final String`
  `privateKeyAlias`
  Алиас для PrivateKey (для некоторых ПС требуется), если задан отдельно для ПС.
  `final Conf.Protocol`
  `protocol`
  `final PublicKey`
  `publicKey`
  `final boolean`
  `registerCheckAccount`
  `final Pattern`
  `registerPattern`
  `final Map<String,Integer>`
  `registerPatternOrder`
  `final String`
  `registerTimeFormat`
  `final String`
  `requestEncoding`
  `final ParameterMap`
  `responseAttributes`
  `final String`
  `responseEncoding`
  `final String[]`
  `searchTypeCustom`
  `final int[]`
  `searchTypeMids`
  `final Pattern[]`
  `searchTypePattern`
  `final int[]`
  `searchTypePids`
  `final String[]`
  `searchTypeReplace`
  `final Conf.SearchType[]`
  `searchTypes`
  `final String`
  `secret`
  `final String`
  `secretResponse`
  `final boolean`
  `storeOriginalSum`
  `final boolean`
  `testMode`
  `final int`
  `timeOffset`
  `final String`
  `title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPSSystem(Conf.SearchType[] searchTypes, int[] searchTypeMids, int[] searchTypePids, Pattern[] searchTypePattern, String[] searchTypeReplace, String[] searchTypeCustom, boolean mode, String mpsId, ParameterMap setup, String protocol, Pattern[] allowContractPattern, long[] allowContractGroups, int cid, int accountServiceId, boolean[] allowClosedPayment)`
  `MPSSystem(ParameterMap setup, String mpsId, Conf.Protocol protocol)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrivateKey`
  `getPrivateKey()`
  Приватный ключ, исторически был на весь mps один, и брался первый из keystore (для большинства кейсов достаточно), сейчас так же делается, если требуется конкретный для протокола, то в протоколе есть настройка ...privatekey.alias=blabla, если она задана то берётся специфический по алиасу.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### testMode

    public final boolean testMode

  - ### searchTypes

    public final Conf.SearchType[] searchTypes

  - ### multiSearch

    public final boolean multiSearch

  - ### searchTypeMids

    public final int[] searchTypeMids

  - ### searchTypePids

    public final int[] searchTypePids

  - ### searchTypePattern

    public final Pattern[] searchTypePattern

  - ### searchTypeReplace

    public final String[] searchTypeReplace

  - ### searchTypeCustom

    public final String[] searchTypeCustom

  - ### allowContractPattern

    public final Pattern[] allowContractPattern

  - ### allowContractGroups

    public final long[] allowContractGroups

  - ### allowClosedPayment

    public final boolean[] allowClosedPayment

  - ### mode

    public final boolean mode

  - ### paymentType

    public int paymentType

  - ### login

    public final String login

  - ### password

    public final String password

  - ### protocol

    public final Conf.Protocol protocol

  - ### requestEncoding

    public final String requestEncoding

  - ### responseEncoding

    public final String responseEncoding

  - ### certificateNeed

    public final boolean certificateNeed

  - ### publicKey

    public final PublicKey publicKey

  - ### payTime

    public final int payTime

  - ### timeOffset

    public final int timeOffset

  - ### title

    public final String title

  - ### secret

    public final String secret

  - ### secretResponse

    public final String secretResponse

  - ### minSumm

    public final BigDecimal minSumm

  - ### maxSumm

    public final BigDecimal maxSumm

  - ### osmpPrefix

    public final boolean osmpPrefix

  - ### extPayOnCheck

    public final boolean extPayOnCheck

  - ### extNoBaseAuth

    public final boolean extNoBaseAuth

  - ### extAddBalanceInfo

    public final boolean extAddBalanceInfo

  - ### extOSMPSubBalance

    public final boolean extOSMPSubBalance

  - ### osmpContractPattern

    public final String osmpContractPattern

  - ### extOSMPFields

    public final boolean extOSMPFields

  - ### extEportPayTime

    public final boolean extEportPayTime

  - ### extDontCheckTransId

    public final boolean extDontCheckTransId

  - ### extPaymentSystemTime

    public final boolean extPaymentSystemTime

  - ### extDontCheckSum

    public final boolean extDontCheckSum

  - ### extSfourComment

    public final boolean extSfourComment

  - ### extNeedClientInfo

    public final boolean extNeedClientInfo

  - ### registerPattern

    public final Pattern registerPattern

  - ### registerPatternOrder

    public final Map<String,Integer> registerPatternOrder

  - ### registerTimeFormat

    public final String registerTimeFormat

  - ### registerCheckAccount

    public final boolean registerCheckAccount

  - ### numberPattern

    public final Pattern numberPattern

  - ### cid

    public final int cid

  - ### accountServiceId

    public final int accountServiceId

  - ### responseAttributes

    public final ParameterMap responseAttributes

  - ### comment

    public final String comment

  - ### config

    public final ParameterMap config
    конфиг отдельной системы, может использоваться протоколами для доп.параметров

  - ### storeOriginalSum

    public final boolean storeOriginalSum

  - ### extDenyForJur

    public final boolean extDenyForJur
    Флаг запрета проведения платежей для юридических лиц.

  - ### privateKeyAlias

    public final String privateKeyAlias
    Алиас для PrivateKey (для некоторых ПС требуется), если задан отдельно для ПС. Если не задан, но протоколом будет попытка использования PrivateKey, то возьмётся как раньше "первый из keystore".

- ## Constructor Details

  - ### MPSSystem

    public MPSSystem(ParameterMap setup, String mpsId, Conf.Protocol protocol)

  - ### MPSSystem

    public MPSSystem(Conf.SearchType[] searchTypes, int[] searchTypeMids, int[] searchTypePids, Pattern[] searchTypePattern, String[] searchTypeReplace, String[] searchTypeCustom, boolean mode, String mpsId, ParameterMap setup, String protocol, Pattern[] allowContractPattern, long[] allowContractGroups, int cid, int accountServiceId, boolean[] allowClosedPayment) throws NoSuchAlgorithmException, InvalidKeySpecException, IOException
    Throws:
      `NoSuchAlgorithmException`
      `InvalidKeySpecException`
      `IOException`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPrivateKey

    public PrivateKey getPrivateKey()
    Приватный ключ, исторически был на весь mps один, и брался первый из keystore (для большинства кейсов достаточно), сейчас так же делается, если требуется конкретный для протокола, то в протоколе есть настройка ...privatekey.alias=blabla, если она задана то берётся специфический по алиасу.